Subject: Re: bug#60524: 29.0.60; tree-sitter doc fixes

From: Yuan Fu <[email-masked]>
Date: Tue, 3 Jan 2023 23:56:13 -0700

Juri Linkov <[email-masked]> writes:

> It seems that functions like treesit-next-sibling, treesit-prev-sibling,
> treesit-child-by-field-name, treesit-first-child-for-pos, treesit-child-count
> were planned to implement, but their addition was postponed.  For this reason
> I just commented out them, to be able to easily uncomment when they will
> be implemented.  I could push other changes to emacs-29 as well:

My bad. Those functions missed the "node" in their name. They should be
treesit-node-next-sibling, etc.  Other changes seem fine to me, thanks
for catching so many problems!

Yuan